// qsview.h : interface of the QSView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_QSVIEW_H__786197CC_EB6E_11D6_954D_08006912EAE7__INCLUDED_)
#define AFX_QSVIEW_H__786197CC_EB6E_11D6_954D_08006912EAE7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "dibsect.h"
#include "stretchdlg.h"

class QSView : public CScrollView
{
protected:
	DIBSection m_view_dib;
	DIBSection m_client_dib;
	StretchDLG m_dlg;
	CSize m_size;
	double m_scale_factor;
protected: // create from serialization only
	QSView();
	DECLARE_DYNCREATE(QSView)

// Attributes
public:
	QSDoc* GetDocument();

// Operations
public:
	void StretchImage(double scale_factor);
	void ShowImage(void);
	void CreateClientDIB(void);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(QSView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~QSView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(QSView)
	afx_msg void OnUpdateScale(CCmdUI* pCmdUI);
	afx_msg void OnScale();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in qsview.cpp
inline QSDoc* QSView::GetDocument()
   { return (QSDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QSVIEW_H__786197CC_EB6E_11D6_954D_08006912EAE7__INCLUDED_)
